0.3.0 - 2011-05-16 - Chris Jean
	Near complete rewrite of most of the JS code and much of the PHP code
	Added border options to Basic Module Styling and Widget Bar Module
	Introduce IE support
	Added Custom CSS option
	Moved generated CSS files to wp-content/builder-style-manager
	No longer will new files be generated on save
	Old stylesheets will automatically be removed to clean up after the old code
	New generated files will be named to match the name of the style
	Added "Set to Default" option to color picker

	Updated:
		css/editor.css
		css/normalize-styling.css
		editor.php to 1.0.0
		generator.php to 1.0.0
		js/colorpicker/colorpicker.css
		js/colorpicker/colorpicker.js
		js/editor.js to 1.0.0
		js/stylesheet-lib.js to 1.0.0
		public.php to 1.0.0
0.3.1 - 2011-05-17 - Chris Jean
	Fixed a bug that broke image parsing

	Updated:
		js/stylesheet-lib.js to 1.0.1
0.3.2 - 2011-06-27 - Chris Jean
	Updated lib/classes to version 1.7.0
0.3.3 - 2011-06-29 - Chris Jean
	Fixed an issue with dynamic stylesheet generation not working on the
		front-end

	Updated:
		public.php to version 1.0.1
0.3.4 - 2011-06-29 - Chris Jean
	Refreshed the generated zip to make the 0.3.3 fix present in the zip file.
0.3.5 - 2011-07-01
	Updated lib/classes to version 1.8.0
0.4.0 - 2011-07-06 - Chris Jean
	Updated the editor to support both the 3.0 layout structures and the
		pre-3.0 layout structures. If you switch an old layout to the new
		one or vice versa, simply edit each style, save it, and Style
		Manager will automatically update it to the appropriate format.

	Updated:
		editor.php to version 1.0.1
0.4.1 - 2011-07-06 - Chris Jean
	Refresh the repo
0.4.2 - 2011-08-04
	Updated lib/classes to version 1.10.0
0.5.0 - 2011-08-18 - Chris Jean
	Added a check to ensure that Builder or a Builder child theme is running
	Fixed an issue where a small image in an Image Module will expand to fill
	Added preliminary style options for the Header Module
	Removed the lib/ directory as it is no longer needed

	Removed:
		lib/
	Updated:
		editor.php to 1.1.0
		init.php
0.5.1 - 2011-08-18 - Chris Jean
	Repackaged to fix a zip issue with 0.5.0
0.5.2 - 2011-08-19 - Chris Jean
	Fixed duplicate options listed in Post/Page Content Styling > Page Title
0.5.3 - 2011-10-20 - Chris Jean
	Fix for new styling in WP 3.3
	Fix problem with glob on some systems
	Re-added lib/ directory as it helps keep the latest version of code in
		case Builder is out of date

	Added:
		lib/
	Updated:
		css/editor.css
		generator.php to 1.0.1
		init.php
0.5.4 - 2011-10-20 - Chris Jean
	Fixed issue with stylesheet URL on http sites loaded as https

	Updated:
		public.php to 1.0.2
0.5.5 - 2011-10-26
	Updated lib/classes to version 1.12.0
0.5.6 - 2011-11-14
	Updated lib/classes to version 1.12.1
0.5.7 - 2011-12-09
	Updated lib/classes to version 1.13.0
0.5.8 - 2011-12-12
	Updated lib/classes to version 1.13.1
0.5.9 - 2012-02-21
	Updated lib/classes to version 1.13.2
0.5.10 - 2012-03-14 - Chris Jean
	Pi Day Special
	This release fixes a bug that causes the site preview to shift right
		when expanding or collapsing option boxes.

	Updated:
		js/iframe.js to 1.1.0
0.5.11 - 2012-06-22
	Updated lib/classes to version 1.13.3
0.5.12 - 2012-07-17
	Updated lib/classes to version 2.0.0
0.5.13 - 2012-09-24
	Updated lib/classes to version 2.1.0
0.5.14 - 2012-09-26
	Updated lib/classes to version 2.1.1
0.5.15 - 2012-09-28
	Updated lib/classes to version 2.1.4
0.5.16 - 2012-10-18 - Chris Jean
	Added change to prevent the plugin from running on sites that support
		Builder's responsive feature.
0.5.17 - 2012-12-03
	Updated lib/classes to version 2.1.5
0.5.18 - 2013-01-09
	Updated lib/classes to version 2.1.6
0.6.0 - 2013-01-21 - Chris Jean
	Added support for Builder 4.0's responsive child themees.
	Added Active link styling options for the Navigation Module.
	Updated certain selectors to point to the background-wrapper classes.
	Fixed some editor styling issues.
	Fixed bug that prevents resetting options to defaults in Firefox from
		working properly.
	Improved Stylesheet Library script's handling of Opera.
	Added data format notice to prompt users about the two different data
		formats.

	Added:
		css/normalize-legacy-styling.css
		editor-legacy.php
		generator-legacy.php
		public-legacy.php
	Updated:
		css/
		editor.php
		generator.php
		init.php
		js/
		public.php
0.6.1 - 2013-01-25
	Updated lib/classes to version 2.1.7
0.6.2 - 2013-02-13
	Updated lib/classes to version 2.1.8
0.6.3 - 2013-02-15
	Updated lib/classes to version 2.1.9
0.6.4 - 2013-02-18 - Chris Jean
	Added it_bsm_filter_preview_url filter to control the URL used for the preview.

	Updated:
		editor.php
		editor-legacy.php
0.6.5 - 2013-03-15 - Chris Jean
	Fixed issue where plugins such as Jetpack prevent the editor from functioning correctly.
	Fixed issue where plugins that inject stylesheets into the body of the document prevent the editor from functioning correctly.

	Updated:
		js/
0.6.5 - 2013-04-04
	Updated lib/classes to version 2.2.0
0.6.6 - 2013-04-17 - Packaging Bot
	Updated lib/classes to version 2.3.0
0.6.7 - 2013-06-11 - Packaging Bot
	Updated lib/classes to version 2.3.1
0.6.8 - 2013-06-25 - Packaging Bot
	Updated lib/classes to version 2.3.2
0.6.9 - 2013-06-28 - Packaging Bot
	Updated lib/classes to version 2.3.3
0.6.10 - 2013-07-08 - Chris Jean
	Added licensing to allow for automatic updates.
	Fixed warnings introduced by WordPress 3.6 and PHP 5.5.0.

	Added:
		lib/updater/
	Updated:
		editor-legacy.php
		editor.php
		generator-legacy.php
		generator.php
		init.php
		public-legacy.php
		public.php
0.6.11 - 2013-08-05 - Packaging Bot
	Updated lib/classes to version 2.3.4
0.6.12 - 2013-08-15 - Chris Jean
	Added support for alternate Builder format identification.
0.6.13 - 2013-08-19 - Packaging Bot
	Updated lib/classes to version 2.3.5
0.6.14 - 2013-08-23 - Chris Jean
	Fixed wrong plugin reference in activation notice.

	Modified:
		init.php
0.6.15 - 2013-09-20 - Packaging Bot
	Updated lib/updater to version 1.0.3
0.6.16 - 2013-10-02 - Packaging Bot (lib/updater)
	Big rewrite to the updater in order to make the code more flexible. This improves compatibility with plugins that allow for remote updating of plugins and themes.
	The updater now supports providing changelog details for plugins and themes that have updates available. These details can be viewed by clicking the "View version **** details" link for the appropriate plugin or theme.
0.6.17 - 2013-10-04 - Packaging Bot (lib/updater)
	Enhancement: When releases with four version digits are released (such as 2.1.0.3), by default, the updater will not offer to update if just this last digit is updated. For instance, it will not automatically offer to update 2.1.0.1 to 2.1.0.3; rather, an automatic upgrade will become available when version 2.1.1 or greater is released. If you wish to force an update to these versions, you can add ithemes-updater-force-minor-update=1 to an admin page request (such as http://domain.com/wp-admin/index.php?ithemes-updater-force-minor-update=1) in order to force the updater make these releases available for an hour. If the update is not performed within the hour, the updater reverts back to default behavior.
	Bug Fix: Corrected source of the following error when updating: Download failed. SSL certificate problem, verify that the CA cert is OK. Details: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
	Bug Fix: Corrected source of the following warning: Warning: require_once(/api.php) [function.require-once]: failed to open stream: No such file or directory
0.6.18 - 2013-10-07 - Packaging Bot (lib/updater)
	Bug Fix: Corrected another source of the following warning which occur immediate after updating the plugin or theme: Warning: require_once(/api.php) [function.require-once]: failed to open stream: No such file or directory
0.6.19 - 2013-10-28 - Packaging Bot (lib/updater)
	Enhancement: Added a "Quick Release Updates" setting to the bottom of the licensing page. Enabling this option allows the site to receive automatic update notices for product quick releases (releases that do not have automatic update support by default).
	Enhancement: Changed how the licensing page works on Multisite. Now it will appear at Settings > iThemes Licensing in the network admin Dashboard and at Settings > iThemes Licensing on sites when the current user is a network admin. This prevents exposing the licensing page to users that don't are not super users and thus should not be performing updates. As this update makes the functionality of the "Licensing Page Access" setting obsolete, the setting has been removed.
	Enhancement: Using the ithemes-updater-force-minor-update query string variable will now force a data flush, allowing any available quick release updates to appear instantly.
	Enhancement: Added "License" links to the Plugins and Themes pages for the Network Admin Dashboard of multisite installs.
0.6.20 - 2013-11-25 - Packaging Bot (lib/classes)
	Enhancement: Improved output of ITUtility::print_r() in WordPress 3.8.
	Enhancement: ITUtility::print_r() now indicates the number of array elements in collapsed arrays and identifies boolean values explicitly.
	Enhancement: Added the ability for ITForm::add_drop_down() to show divided lists.
	Bug Fix: Fixed depth cutoff of ITUtility::backtrace().
	Bug Fix: Fixed broken javascript in error message output. This bug prevented the error message from being collapsed by default, causing the screen to show the message at all times.
0.6.21 - 2013-12-02 - Packaging Bot (lib/classes)
	Enhancement: Added ITUtility::screen_icon() to allow for easily preparing code for the WordPress 3.8 release. It only runs the screen_icon() function when WordPress is older than 3.8, thus avoiding the deprecation notice.
	Bug Fix: Removed Javascript notices created by the tooltips.
	Bug Fix: Removed Javascript notices created by ITDialog thickboxes.
0.6.22 - 2013-12-11 - Chris Jean
	Enhancement: Improved styling in WordPress 3.8.
0.7.0 - 2013-12-11 - Chris Jean
	Enhancement: The Preview box will now work properly will sites that have the WordPress Address and Site Address set to different locations and/or domains.
0.7.1 - 2013-12-13 - Packaging Bot (lib/updater)
	Enhancement: Recently updated plugins and themes no longer report that an update is available.
	Enhancement: Added alternate line styling to the listings on the licensing page.
	Enhancement: Products with iThemes in the name will now properly capitalize the name.
	Enhancement: The updater and licensing system now handle iThemes server outages without causing long page delays or by reporting confusing error messages.
0.7.2 - 2013-12-18 - Packaging Bot (lib/updater)
	Bug Fix: Removed unneeded check on package-info.ithemes.com which was causing performance issues on some sites.
0.7.3 - 2013-12-19 - Packaging Bot (lib/updater)
	Bug Fix: Licensing will now be universal across all sites of a multisite network. This means that you will only need to license on one site to have the license apply across the entire network.
0.7.4 - 2014-01-23 - Packaging Bot (lib/classes)
	Bug Fix: Prior versions would fix non-https URL's for local content when the site was accessed via SSL so that the URL would become an https URL; however, it would not reverse the process and change https URL's to http when accessed without SSL. This caused problems on sites that use self-signed certificates and would sometimes have local content URL's that referred to the https location. This update makes the https URL's convert to http when the site is accessed via SSL.
0.7.5 - 2014-02-03 - Packaging Bot (lib/updater)
	Bug Fix: Licensing on SSL-enabled sites now works properly.
0.7.6 - 2014-11-14 - Packaging Bot (lib/updater)
	Enhancement: Reduced caching to allow updates to appear more quickly.
	Enhancement: Authenticating users now uses the new authentication system.
0.7.7 - 2015-04-16 - Chris Jean
	Hardening release to better escape URLs in HTML output.
0.7.8 - 2015-04-23 - Packaging Bot (lib/updater)
	Compatibility Fix: Updated plugin and theme update data format to match changes in WordPress 4.2.
0.7.9 - 2015-06-29 - Packaging Bot (lib/classes)
	Security Fix: Fixed a potential Remote Code Execution (RCE) security hole caused by unsanitized inputs for resizing certain kinds of images and generating zip files. Exploiting this flaw would require third-party code or a privileged WordPress user. Thanks to Ryan Satterfield (http://planetzuda.com) for helping to identify this issue.
	Bug Fix: Fixed index.php files being added to the root of zip files created with ITZip.
	Enhancement: Improved the form-handling API to handle complex forms with nested groups.
	Enhancement: Better handling of non-ASCII, non-UTF8 characters in debug output.
0.7.10 - 2015-07-14 - Packaging Bot (lib/updater)
	Enhancement: Updated link to iThemes support.
0.7.11 - 2015-07-14 - Packaging Bot (lib/classes)
	Bug Fix: Dropdowns with multiple levels of options now default to the current value as expected.
0.7.12 - 2015-10-26 - Packaging Bot (lib/classes)
	Compatibility Fix: Updated constructors to prevent warnings in PHP 7 while maintaining backwards compatibility.
0.7.13 - 2015-11-02 - Chris Jean
	Compatibility Fix: Updated constructors to prevent warnings in PHP 7 while maintaining backwards compatibility.
0.7.14 - 2015-11-16 - Packaging Bot (lib/classes)
	Bug Fix: Fixed URL to file path and file path to URL conversions on multisite installations where the site's absolute path may vary.
0.7.15 - 2016-07-14 - Packaging Bot (lib/classes)
	Compatibility Fix: Fixed potential PHP 7 compatibility issues.
	Bug Fix: Added an option to flush ITStorage2 cache after saving data. This fixes an issue with some projects that
		expect this behavior.
	Bug Fix: Fixed padding around dialog pop-up overlays.
	Enhancement: Added support for select inputs with the multiple attribute.
0.7.16 - 2016-10-24 - Packaging Bot (lib/classes)
	Bug Fix: Fixed a typo in error message output when certain required files cannot be found.
	Enhancement: Removed pass-by-reference function argument on associative array check as it is no longer required. This can reduce memory usage on some servers.
0.7.17 - 2018-05-02 - Packaging Bot (lib/updater)
	Bug Fix: Fixed the "View details" link failing to work properly after updating.
	Bug Fix: Fixed an issue that could cause data changes to not save properly on specific background page requests.
	Bug Fix: Added a compatibility fix to avoid conflicts with plugins that change the plugin_action_links filter value from an array to a string.
	Compatibility Fix: Updated handing of wp_remote_get() response due to changes documented in https://core.trac.wordpress.org/ticket/33055.
	Enhancement: Added ability to manage licensing from WP-CLI.
0.7.18 - 2018-05-03 - Packaging Bot (lib/updater)
	Bug Fix: Fixed fatal error that could occur when clicking the "View details" link for an available plugin update.
0.7.19 - 2020-08-11 - Packaging Bot (lib/updater)
	Enhancement: Added support for the auto-update feature introduced in WordPress 5.5.
0.7.20 - 2020-08-19 - Chris Jean
	Compatibility Fix: Updated Javascript to fix compatibility issues with WordPress 5.5.
